# Terms of Use of Strawbees CODE

*Last updated: July 8th 2020*

## 1. User Agreement

**1.1** These Terms of Use constitute an agreement between you and Strawbees AB (collectively "Strawbees", "we", "us" or "ours") that governs your use of Strawbees CODE and all associated services (collectively "platform"). Strawbees AB is a company that provide solutions for developing a powerful skillset through hands-on exploration and working with design, construction, electronics and programming. Our organization number is 556983-8914 and we are registered under the address Strawbees AB, Stenkolsgatan 1B, 417 07 Gothenburg, Sweden. Please read the Terms of Use carefully. By using the platform you affirm that you have read, understood, and accepted the terms and conditions in the Terms of Use. If you do not agree with any of these conditions, please do not the platform.

**1.2** Your privacy is important to us. Please read our Privacy Policy, which identifies how we use, collect, and store information it collects through the platform. By using the platform, you additionally agree that you are comfortable with our [privacy policy](/privacy-policy) and [cookie policy](/cookie-policy).

**1.3** We reserve the right to make changes to this privacy policy at any time by giving notice to its Users on this page and possibly within this Application and/or - as far as technically and legally feasible - sending a notice to Users via any contact information available to the Owner. It is strongly recommended to check this page often, referring to the date of the last modification listed at the top. Should the changes affect processing activities performed on the basis of the User’s consent, the Owner shall collect new consent from the User, where required.


## 2. Account Creation and Maintenance

**2.1** In order to use some features of the platform, you will need to register and create an account. Creating an account is optional, but without an account you will not be able to save programs. When registering for a personal account, you will be asked to provide certain personal information, such as your email address, age, username. Please see our [privacy policy](/privacy-policy). for the data retention and usage policies.

**2.2** You are responsible for keeping your password secret and your account secure. You are solely responsible for any use of your account, even if your account is used by another person. If any use of your account violates the Terms of Use, your account may be suspended or deleted.

**2.3** You may not use another person's Quirkbot account without their permission.

**2.4** Account usernames cannot be changed. If you want a different account username, create a new account.

**2.5** If you have reason to believe that your account is no longer secure (for example, in the event of a loss, theft, or unauthorized disclosure of your password), promptly change your password. If you cannot access your account to change your password, notify us at support@strawbees.com

## 3. Rules of Usage

**3.1** You may not use the platform in any way, that: Promotes bigotry, discrimination, hatred, or violence against any individual or group; Threatens, harasses, or intimidates any other person, whether that person is a platform user or not; Contains foul language or personal attacks; Contains sexually explicit or graphically violent material; Provides instructions on how to commit illegal activities or obtain illegal products; Except in connection with organizing Strawbees events, asks any other user for personally identifying information, contact information, or passwords; or Exposes any others person's personally identifying information, contact information, or passwords without that person's permission.

**3.2** You agree to comply with all applicable laws and regulations when you use the platform. You may not use the platform in any unlawful way, including to harass, stalk, or defame any other person.

**3.3** You may not impersonate, imitate or pretend to be somebody else when using the platform.

**3.4** You agree not to use the platform in any way intended to disrupt the platform, gain unauthorized access to the platform, or interfere with any other user's ability to use the platform.

**3.5** You agree to confirm your account's email address after your register your account.

**3.6** Commercial use of the platform, user-generated content, and support materials is permitted under the Creative Commons Attribution-ShareAlike 4.0 license. However, we reserve the right to block any commercial use the platform that, in our sole discretion, is harmful to the community. Harmful commercial use includes spamming or repeated advertisement through projects, comments, or forum posts.

**3.7** You agree not to post links to any content outside of the platform, if to do so would violate any part of the Terms of Use.

## 4. User-Generated Content and Licensing

**4.1** For the purposes of the Terms of Use, "user-generated content" includes any program that a user submits to the platform.

**4.2** We encourages everyone to foster creativity by freely sharing programs. However, we also understand the need for individuals and companies to protect their intellectual property rights. You are responsible for making sure you have the necessary rights, licenses, or permission for any user-generated content you submit to the platform.

**4.3** All user-generated content you submit to the platform is licensed to and through the platform under the Creative Commons Attribution-ShareAlike 4.0 license. This allows others to view and remix your content. This license also allows us to display, distribute, and reproduce your content on the platform, through social media channels and elsewhere. If you do not want to license your content under this license, then do not share it on the platform.

**4.4** Although we require all users to comply with these Terms of Use, some inappropriate user-generated content may be submitted and displayed on the platform. You understand that when you use the platform you may be exposed to user-generated content that you find objectionable or offensive. If you see any content that violates the Community Guidelines or Terms of Use, please let us know by reporting it in the [forum](http://forum.quirkbot.com).

**4.5** In addition to reviewing reported user-generated content, we reserve the right, but are not obligated, to monitor all uses of the platform. We may edit, move, or delete any content that violates the Terms of Use, without notice.

**4.6** All user-generated content is provided as-is. We makes no warranties about the accuracy or reliability of any user-generated content available through the platform. We don't not endorse any views, opinions, or advice expressed in user-generated content available through the platform. You agree to relieve us of any and all liability arising from content available through the platform..

## 5. Content and Licensing

**5.1** Except for any user-generated content, we own and retain all rights in and to the platform, the design, functionality, and architecture, and any software or content provided through the platform (collectively "the Strawbees IP"). If you want to use the platform in a way that is not allowed by these Terms of Use, you must first contact us. Except for any rights explicitly granted under these Terms of Use, you are not granted any rights in and to any Strawbees IP.

**5.2** We might provide support materials, including images, sounds, video, and sample code, to help users build projects. Such support materials are licensed under the Creative Commons Attribution-ShareAlike 4.0 license. You may also use screenshots of the platform under the same license. Please note that this does not apply to materials that are also trademarked by us or other parties as described in parts 5.4 and 5.5, below. The Creative Commons Attribution-ShareAlike 4.0 license requires you to attribute any material you use to the original author. When you use our support materials, or screenshots of the platform, please use the following attribution: "By Strawbees. See https://strawbees.com".

**5.4** The Strawbees name & logo and the Quirkbot name & logo are Trademarks owned by us. Unless you are licensed by us under a specific licensing program or agreement, you many not use these logos to label, promote, or endorse any product or service. You may use the Strawbeesand Quirkbot logos to refer to the platform.

**5.5** Our support materials library may contain images and sounds that are trademarked by third parties. The fact that materials are included in the Quirkbot support materials library does not in any way limit or reduce intellectual property rights, including trademark rights, otherwise available to the materials' owners. Nothing in these Terms of Use or the Creative Commons Attribution-ShareAlike 4.0 license will be construed to limit or reduce any party's rights in that party's valid trademarks. You may not use these materials to label, promote, or endorse any product or service. You are solely responsible for any violation of a third party's intellectual property rights caused by your misuse of these materials.

## 6. Digital Millennium Copyright Act (DMCA)

**6.1** If you are a copyright holder and believe that content the platform violates your rights, you may send a DMCA notification to info@strawbees.com. For more information, including the information that must be included in a DMCA notification, see the text of the DMCA, 17 U.S.C. § 512.

**6.2** If you are a user and you believe that your content did not constitute a copyright violation and was taken down in error, you may send a notification to info@strawbees.com Please include:
Your username and email address;
The specific content you believe was taken down in error; and
A brief statement of why you believe there was no copyright violation (e.g., the content was not copyrighted, you had permission to use the content, or your use of the content was a "fair use").

## 7. Termination of Accounts

**7.1** We have the right to delete your account for violations of the Terms of Use. We reserve the sole right to determine what constitutes a violation of the Terms of Use. We reserve the right to delete any account used to circumvent prior enforcement of the Terms of Use. We reserve the right to delete accounts that are considered inactive, that is, account that have not saved any programs (or have only saved empty programs) for 60 consecutive days. We reserve the right to delete accounts that have not verified their email address.

**7.2** If you want to delete your account, click on the "Delete my Account" button on your profile page

## 8. Third Party Websites

Content on the platform, including user-generated content, may include links to third party websites. We is not capable of reviewing or managing third party websites, and assumes no responsibility for the privacy practices, content, or functionality of third party websites. You agree to relieve us of any and all liability arising from third party websites.

## 9. Indemnification

You agree to indemnify us and all our affiliates, employees, faculty members, fellows, students, agents, representatives, third party service providers, and members of their governing boards (all of which are "Strawbees Entities"), and to defend and hold each of them harmless, from any and all claims and liabilities (including attorneys' fees) arising out of or related to your breach of the Terms of Use or your use of the platform.

For federal government agencies, provisions in the Terms of Use relating to Indemnification shall not apply to your Official Use, except to the extent expressly authorized by federal law. For state and local government agencies in the United States, Terms of Use relating to Indemnification shall apply to your Official Use only to the extent authorized by the laws of your jurisdiction.

## 10. Disclaimer of Warranty

You acknowledge that you are using the platform at your own risk. The platform is provided "as is," and the Strawbees Entities hereby expressly disclaim any and all warranties, express and implied, including but not limited to any warranties of accuracy, reliability, title, merchantability, non-infringement, fitness for a particular purpose or any other warranty, condition, guarantee or representation, whether oral, in writing or in electronic form, including but not limited to the accuracy or completeness of any information contained therein or provided by the platform. Without limiting the foregoing, the Strawbees Entities disclaim any and all warranties, express and implied, regarding user-generated content and our events. The Strawbees Entities and their third party service providers do not represent or warrant that access to the platform will be uninterrupted or that there will be no failures, errors or omissions or loss of transmitted information, or that no viruses will be transmitted through the platform.

## 11. Limitation of Liability

The Strawbees Entities shall not be liable to you or any third parties for any direct, indirect, special, consequential or punitive damages of any kind, regardless of the type of claim or the nature of the cause of action, even if we have been advised of the possibility of such damages. Without limiting the foregoing, the Strawbees Entites shall have no liability to you or any third parties for damages or harms arising out of user-generated content or our events.

## 12. Jurisdiction

The platform is offered by the us from its facilities in Sweden. We makes no representations that the platform is appropriate or available for use in other locations. Those who access or use the platform are responsible for compliance with local law.

## 13. Choice of Law and Venue

You agree that these Terms of Use, for all purposes, shall be governed and construed in accordance with the laws of Sweden, applicable to contracts to be wholly performed therein, and any action based on, relating to, or alleging a breach of the Terms of Use must be brought in a federal Swedish court. In addition, both parties agree to submit to the exclusive personal jurisdiction and venue of such courts.

If you are a federal, state, or local government entity in the United States using Strawbees CODE in your official capacity and legally unable to accept the controlling law, jurisdiction or venue clauses above, then those clauses do not apply to you. For such U.S. federal government entities, these Terms and any action related thereto will be governed by the laws of the United States of America (without reference to conflict of laws) and, in the absence of federal law and to the extent permitted under federal law, the laws of Sweden (excluding choice of law).

## 14. Choice of Language

If the we provide you with a translation of the English language version of these Terms of Use, the Privacy Policy, or any other policy, then you agree that the translation is provided for informational purposes only and does not modify the English language version. In the event of a conflict between a translation and the English version, the English version will govern.

## 15. No Waiver

No waiver of any term of these Terms of Use shall be deemed a further or continuing waiver of such term or any other term, and our failure to assert any right or provision under these Terms of Use shall not constitute a waiver of such right or provision.

## 16. Entire Agreement

This document, together with all appendices, constitutes the entire Terms of Use and supersedes all previous agreements with us relating to the use of the platform.
